%define anolis_release 1

Name:           virtiofsd
Version:        1.13.0
Release:        %{anolis_release}%{?dist}
Summary:        Virtio-fs vhost-user device daemon (Rust version)

License:        Apache-2.0 AND BSD-3-Clause
URL:            https://gitlab.com/virtio-fs/virtiofsd
Source:         %{crates_source}
# Generated by cargo vendor command:
# Uncompress the source file 
# cd into the dir and run cargo vendor
# Then compress the tarball by tar
Source1:        %{name}-%{version}-vendor.tar.gz

BuildRequires:  rust-packaging >= 21
BuildRequires:  libcap-ng-devel
BuildRequires:  libseccomp-devel
BuildRequires:  cargo 
Requires:       qemu-common
Provides:       vhostuser-backend(fs)
Conflicts:      qemu-virtiofsd
Obsoletes:      qemu-virtiofsd <= 2:8.0.0-1
Provides:       qemu-virtiofsd = 2:7.2.1-1

%description
%{summary}.

%prep
%autosetup -n %{name}-%{version_no_tilde} -p1
tar -xf %{SOURCE1} 
%cargo_prep -v vendor
rm -f Cargo.lock

%build
%cargo_build

%install
mkdir -p %{buildroot}%{_libexecdir}
install -D -p -m 0755 target/release/virtiofsd %{buildroot}%{_libexecdir}/virtiofsd
install -D -p -m 0644 50-virtiofsd.json %{buildroot}%{_datadir}/qemu/vhost-user/50-qemu-virtiofsd.json

%files
%license LICENSE-APACHE LICENSE-BSD-3-Clause
%doc README.md
%{_libexecdir}/virtiofsd
%{_datadir}/qemu/vhost-user/50-qemu-virtiofsd.json

%changelog
* Fri Mar 21 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.13.0-1
- Update to 1.13.0 from 1.10.1

* Mon Apr 08 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.10.1-1
- Init upstream from version 1.10.1
